package dev.fitko.fitconnect.client.sender.steps.unencrypted;

public interface DataStep {

    /**
     * JSON data as string.
     *
     * @param data json string
     * @return next step to submit the data
     */
    OptionalPropertiesStep setJsonData(String data);

    /**
     * XML data as string.
     *
     * @param data xml string
     * @return next step to submit the data
     */
    OptionalPropertiesStep setXmlData(String data);
}
