package dev.fitko.fitconnect.api.exceptions;

import lombok.Getter;
import org.springframework.http.HttpStatus;

public class RestApiException extends RuntimeException {

    @Getter
    private HttpStatus httpStatus;

    public RestApiException(final String errorMessage, final Throwable error) {
        super(errorMessage, error);
    }

    public RestApiException(final String errorMessage) {
        super(errorMessage);
    }

    public RestApiException(final HttpStatus httpStatus, final String errorMessage) {
        super(errorMessage);
        this.httpStatus = httpStatus;
    }
}
